> ## Documentation Index
> Fetch the complete documentation index at: https://docs.passy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# API Reference

> Welcome to the Passy.ai API reference documentation. Passy provides unified access to all major premium and open `passy/` AI models through OpenAI-compatible and Anthropic-compatible REST APIs.

## Base URLs

Passy supports two API formats:

<CardGroup cols={2}>
  <Card title="OpenAI Format">
    ```text theme={null}
    https://api.passy.ai/v1/
    ```

    OpenAI SDKs and tools
  </Card>

  <Card title="Anthropic Format">
    ```text theme={null}
    https://api.passy.ai/
    ```

    Anthropic SDKs and tools without `/v1`
  </Card>
</CardGroup>

## Authentication

All API endpoints require authentication using one of these methods:

### Bearer Token (Recommended)

```http theme={null}
Authorization: Bearer YOUR_API_KEY
```

<Info>
  Get your API key from the [Passy Dashboard](https://dash.passy.ai/), see [guide here](/api-keys)
</Info>

## Core Endpoints

* `https://api.passy.ai/v1/models`
* `https://api.passy.ai/v1/chat/completions` (OpenAI)
* `https://api.passy.ai/v1/responses`  (Codex)
* `https://api.passy.ai/v1/messages `(Anthropic)

<CardGroup cols={2} />

## Advanced Features

<CardGroup cols={2}>
  <Card title="Streaming" icon="stream">
    Real-time streaming responses with Server-Sent Events
  </Card>

  <Card title="Function Calling" icon="function">
    Enable AI to interact with external tools and APIs
  </Card>
</CardGroup>

## Quick Start

<Tabs>
  <Tab title="cURL">
    ```bash theme={null}
    curl https://api.passy.ai/v1/chat/completions \
      -H "Authorization: Bearer $Passy_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
        "model": "passy/Kimi-K2.6",
        "messages": [{"role": "user", "content": "Hi"}]
      }'
    ```
  </Tab>

  <Tab title="Python">
    ```python theme={null}
    from openai import OpenAI

    client = OpenAI(
        base_url="https://api.passy.ai/v1",
        api_key="your-api-key"
    )

    response = client.chat.completions.create(
        model="passy/Kimi-K2.6",
        messages=[{"role": "user", "content": "Hi"}]
    )
    ```
  </Tab>

  <Tab title="JavaScript">
    ```javascript theme={null}
    import OpenAI from 'openai';

    const openai = new OpenAI({
      baseURL: 'https://api.passy.ai/v1',
      apiKey: process.env.Passy_API_KEY,
    });

    const response = await openai.chat.completions.create({
      model: 'passy/Kimi-K2.6',
      messages: [{ role: 'user', content: 'Hi' }]
    });
    ```
  </Tab>
</Tabs>

## SDK Support

Passy is compatible with all popular AI SDKs, just swap the `BaseURL` and `API Key`

* **Python**: `openai`, `anthropic`, `langchain`
* **JavaScript/TypeScript**: `openai`, `anthropic`, `ai-sdk`
* **Go**: `go-openai`
* **Ruby**: `anthropic-rb`
* **Rust**: `async-openai`
* **Java**: `openai-java`
* **C#**: `OpenAI-DotNet`

## Need Help?

<Columns cols={3}>
  <Column>
    <Card title="WhatsApp Support" icon="whatsapp" href="https://wa.absolum.nl" />
  </Column>

  <Column>
    <Card title="Book a Call" icon="calendar" href="https://cal.com/absolum/emby-dev-enterprise" />
  </Column>

  <Column>
    <Card title="Feedback" icon="circle-question" href="https://passy.ai/feedback" />
  </Column>
</Columns>

***
